#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	An open-source JPEG 2000 codec
Summary(pl.UTF-8):	Biblioteka kodująca i dekodująca format JPEG 2000
Name:		openjpeg2
Version:	2.5.3
Release:	1%{?tld}
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/uclouvain/openjpeg/releases/
Source0:	https://github.com/uclouvain/openjpeg/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	12ae257cb21738c41b5f6ca977d01081
URL:		http://www.openjpeg.org/
BuildRequires:	cmake >= 3.5
BuildRequires:	doxygen
BuildRequires:	lcms2-devel >= 2
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The OpenJPEG 2 library is an open-source JPEG 2000 codec written in C
language. It has been developed in order to promote the use of JPEG
2000, the new still-image compression standard from the Joint
Photographic Experts Group (JPEG).

%description -l pl.UTF-8
OpenJPEG 2 to mająca otwarte źródła biblioteka kodująca i dekodująca
format JPEG 2000, napisana w języku C. Powstała w celu promowania
użycia formatu JPEG 2000 - nowego standardu obrazów nieruchomych
stworzonego przez grupę JPEG (Joint Photographic Experts Group).

%package devel
Summary:	Header file for OpenJPEG 2 library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki OpenJPEG 2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header file needed for developing programs
using the OpenJPEG 2 library.

%description devel -l pl.UTF-8
Ten pakiet zawiera plik nagłówkowy potrzebny do tworzenia programów
wykorzystujących bibliotekę OpenJPEG 2.

%package static
Summary:	Static OpenJPEG 2 library
Summary(pl.UTF-8):	Statyczna biblioteka OpenJPEG 2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static OpenJPEG 2 library.

%description static -l pl.UTF-8
Statyczna biblioteka OpenJPEG 2.

%package apidocs
Summary:	OpenJPEG 2 API documentation
Summary(pl.UTF-8):	Dokumentacja API OpenJPEG 2
Group:		Documentation
BuildArch:	noarch

%description apidocs
OpenJPEG 2 API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API OpenJPEG 2.

%package progs
Summary:	OpenJPEG 2 codec programs
Summary(pl.UTF-8):	Programy kodujące/dekodujące dla biblioteki OpenJPEG 2
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
OpenJPEG 2 codec programs.

%description progs -l pl.UTF-8
Programy kodujące/dekodujące dla biblioteki OpenJPEG 2.

%prep
%setup -q -n openjpeg-%{version}

%build
%cmake -B build \
	-DBUILD_DOC=ON \
	%{!?with_static_libs:-DBUILD_STATIC_LIBS=OFF} \
	-DOPENJPEG_INSTALL_LIB_DIR=%{_lib}

# not ready for openjpeg 2:
#	-DBUILD_JAVA=ON
#	-DBUILD_JPWL=ON
#	-DBUILD_MJ2=ON
#	-DBUILD_VIEWER=ON -DwxWidgets_CONFIG_EXECUTABLE=/usr/bin/wx-gtk2-unicode-config

# no BUILD_JPIP here (see openjpip.spec for it)
# no BUILD_JP3D here (see openjp3d.spec for it)

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/html

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS.md CHANGELOG.md LICENSE NEWS.md README.md THANKS.md
%attr(755,root,root) %{_libdir}/libopenjp2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopenjp2.so.7

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenjp2.so
%{_includedir}/openjpeg-2.5
%{_libdir}/cmake/openjpeg-2.5
%{_pkgconfigdir}/libopenjp2.pc
%{_mandir}/man3/libopenjp2.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenjp2.a
%endif

%files apidocs
%defattr(644,root,root,755)
%doc build/doc/html/*

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/opj_compress
%attr(755,root,root) %{_bindir}/opj_decompress
%attr(755,root,root) %{_bindir}/opj_dump
%{_mandir}/man1/opj_compress.1*
%{_mandir}/man1/opj_decompress.1*
%{_mandir}/man1/opj_dump.1*
%changelog
* Sun Feb 23 2025 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/openjpeg2.git;a=log;h=master

* Tue Jan 21 2025 Jakub Bogusz <qboosh@pld-linux.org> a146f53
- updated to 2.5.3

* Wed Feb 28 2024 Jakub Bogusz <qboosh@pld-linux.org> e850dae
- updated to 2.5.2

* Tue Nov 29 2022 Jan Palus <atler@pld-linux.org> 00c5b97
- up to 2.5.0

* Tue Nov 29 2022 Jan Palus <atler@pld-linux.org> 51b47d7
- macros for %cmake

* Tue Nov 29 2022 Jan Palus <atler@pld-linux.org> b759b7e
- keep cmake files in build subdirectory

* Mon Jan 11 2021 Jakub Bogusz <qboosh@pld-linux.org> b355ebc
- updated to 2.4.0

* Wed Apr 03 2019 Adam Gołębiowski <adamg@pld-linux.org> afbc817
- updated to 2.3.1

* Sat Sep 01 2018 Jan Palus <atler@pld-linux.org> 44761d9
- drop executable checks from cmake file; rel 3

* Fri Aug 31 2018 Jan Palus <atler@pld-linux.org> d139d9a
- drop check for static lib existence from cmake file; rel 2

* Fri Aug 31 2018 Jan Palus <atler@pld-linux.org> ccf8198
- add R: -progs to -devel (required by cmake file)

* Sun Dec 10 2017 Jakub Bogusz <qboosh@pld-linux.org> ac95786
- package static library (built by default since 2.2.0)

* Sun Oct 22 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> c24a396
- up to 2.3.0

* Sat Oct 08 2016 Adam Osuchowski <adwol@pld-linux.org> 8d5d700
- up to 2.1.2

* Wed Sep 14 2016 Jakub Bogusz <qboosh@pld-linux.org> 609263c
- new Source0 URL, updated to 2.1.1 (security fixes)

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 036a924
- x32 rebuild
- release 2 (by relup.sh)

* Wed Nov 05 2014 Jakub Bogusz <qboosh@pld-linux.org> a95415a
- man pages are back

* Tue Nov 04 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f6d071e
- up to 2.1.0

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 94eaa5a
- release 3 (by relup.sh)

* Mon Jan 07 2013 Jakub Bogusz <qboosh@pld-linux.org> b0148b3
- added headers patch (add missing includes to openjpeg2 headers)
- release 2

* Sun Nov 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 4d56ea3
- this time lib dir option is called OPENJPEG_INSTALL_LIB_DIR, no LIB_SUFFIX support

